## python-docutils 0.4

=== tools/editors/emacs/tests/Makefile ===

runtests:
	emacs-21 --batch -l tests-basic.el
	emacs-21 --batch -l tests-adjust-section.el

runtests-emacs-cvs:
	emacs --script tests-basic.el
	emacs --script tests-adjust-section.el
