## python-docutils 0.6

=== debian/changelog ===
python-docutils (0.6-5) unstable; urgency=low

  * Correct the preinst script to remove python-central leftovers even when
    upgrading from a version that uses python-support (closes: #586683).
    Thanks to Julian Andres Klode for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 23 Jun 2010 15:21:09 +0200

python-docutils (0.6-4) unstable; urgency=low

  * Bump standards version to 3.8.4 (no changes needed).
  * Bump debhelper compatibility level to 7 (no changes needed). Update
    versioned build-dependency on debhelper accordingly.
  * Use unversioned build-dependency on python-setuptools, as the requested
    version is available even in oldstable.
  * Update my e-mail address.
  * Drop build-dependency on xsltproc; it's no longer used.
  * Run tests at build time:
    + Modify debian/rules accordingly.
    + Build-depend on python-all.
    + Apply patch from upstream (alltests-exitcode.diff) to make test suite
      runner exit with code 0 if all test passes.
  * Emacs major mode: properly quote arguments passed to shell
    (closes: #581522, LP: #579252).
  * Install HISTORY.txt as the upstream changelog.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 14 May 2010 19:50:31 +0200

python-docutils (0.6-3) unstable; urgency=low

  * Update patch fixing insecure use of temporary files to be compatible with
    XEmacs 21.
  * Add ‘Depends: ${misc:Depends}’.
  * Point to versioned symlink in /usr/share/common-licenses for the GPL
    license.
  * Fix the docutils.utils.decode_path() function so that it accepts None as
    an argument (closes: #563087).
  * Force upgrade of python-epydoc affected by bug #561793.
  * Add preinst maintainer script to remove python-central leftovers
    (closes: #563696).
  * Upstream author of IE PNG Alpha Fix agreed that every version of his script 
    can be distributed under the terms of the LGPL 2.1 or later version.
    Update debian/*.copyright and copies of iepngfix.htc accordingly
    (closes: #563704).
  * Remove superfluous ‘Provides: ${python:Provides}’ and ‘XB-Python-Version’
    from debian/control.
  * Conflict with utterly broken version of zope3, which infringes
    python-docutils namespace.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 10 Jan 2010 00:27:45 +0100

python-docutils (0.6-2) unstable; urgency=high

  * Unconditionally recommend python-lxml, as it is used by
    /usr/bin/rst2odt_prepstyles (closes: #560330).
  * Demote dependency on an ElementTree implementation to recommendation, as it
    is only used by /usr/bin/rst2odt; remove python-lxml from alternatives, as
    it is never used by the script (closes: #560328).
  * Fix insecure use of temporary files in the Emacs major mode for
    reStructuredText (closes: #560755). Thanks to Kumar Appaiah for helping to
    deal with this bug.
  * Register docutils documentation using doc-base.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 13 Dec 2009 19:54:12 +0100

python-docutils (0.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Drop superfluous dependency of python-dev.

  [ Simon McVittie ]
  * New upstream version
    - --strict option works now like --halt=info (closes: #506315)
    - allow UTF-8 in style sheets (closes: #374957)
    - patches/17_speed_up_rst_el.dpatch: dropped, fixed upstream
  * Stop using dpatch; instead, switch source format to 3.0 (quilt)
  * Stop patching out #!/usr/bin/env python via the patch system; it'll get
    patched out during installation anyway
  * Split 14_distutils_setup.diff into two patches
    - 13_install_roman.diff: install roman even if already installed
      (in a less intrusive way)
    - 14_use_setuptools.diff: use setuptools for egg support
  * Update the other patches for the new version
  * Conflict, provide and replace the standalone man page and ODT writers,
    which have been integrated upstream; add their maintainers to this
    package's Uploaders instead
  * Import Michael Schutte's man page for rst2odt_prepstyles from the
    odtwriter source package (thanks!)
  * Use rst2man to make the other man pages
  * patches/17_revert_buildhtml.diff: revert an upstream change to
    buildhtml.py which broke the --local option
  * Add Jakub Wilk to Uploaders, with thanks for previous uploads

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Dec 2009 21:34:40 +0000

python-docutils (0.5-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Prepare for Python 2.6 transition (closes: #547841).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 22 Sep 2009 23:48:45 +0200

python-docutils (0.5-4) unstable; urgency=medium

  [ Jakub Wilk ]
  * Don't require network access during a build (closes: #526357).

  [ Piotr Ożarowski ]
  * Updated Standards-Version to 3.8.2 (no changes)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 30 Jul 2009 20:49:23 +0200

python-docutils (0.5-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * Switch to python-support
    + clean debian/rules a little bit (no need to rename Egg anymore)
    + docutils-writer-manpage and python-odtwriter added to Conflicts
  * Add python-imaging to Recommends
    (see writers/html4css1/__init__.py and parsers/rst/directives/images.py)
  * XS-Dm-Upload-Allowed field removed (all Uploaders are DDs)
  * Updated Standards-Version to 3.8.1 (no changes)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 22 Mar 2009 18:06:02 +0100

python-docutils (0.5-2) unstable; urgency=low

  * Upload docutils 0.5 to unstable
  * Update rst.el to upstream Subversion r5596, which apparently fixes
    all its performance problems (17_speed_up_rst_el.dpatch, closes: #474941)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Jul 2008 10:39:53 +0100

python-docutils (0.5-1) experimental; urgency=low

  * New upstream release (closes: #491344, #474939)

