## python-docutils 0.7

=== debian/changelog ===
python-docutils (0.7-2) unstable; urgency=low

  * Upload to unstable.
  * Replace patch to fix --local option for tools/buildhtml.py
    (17_revert_buildhtml.diff) with the one that was applied upstream
    (buildhtml-local.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 24 Jul 2010 09:03:32 +0200

python-docutils (0.7-1) experimental; urgency=low

  * New upstream release.
    + Drop decode-path-none.diff, alltest-exitcode.diff, applied upstream.
    + Refresh other patches.
  * Bump standards version to 3.9.0, no changes needed.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 09 Jul 2010 14:47:42 +0200
