=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper (>= 7), python-setuptools, python-all (>= 2.3)
 Build-Depends-Indep: python-support (>= 0.6.4),
                      docbook-to-man
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 XS-Python-Version: >= 2.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/
