=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,7 @@
 	dh_testroot
 	dh_installdocs *.txt *.html -XCOPYING
 	dh_install -i
+	dh_lintian
 	dh_pysupport
 	dh_installexamples
 	dh_installman
