=== debian/changelog ===
python-docutils (0.8.1-8ubuntu1) quantal; urgency=low

  * Resynchronize with Debian unstable (LP: #1038470), remaining change:
    - Use dh_python2 instead of dh_pysupport

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 18 Aug 2012 20:16:07 +0400

python-docutils (0.8.1-8) unstable; urgency=low

  * Install all DTD files (really closes: #531170).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 04 Jul 2012 14:07:30 +0200

python-docutils (0.8.1-7) unstable; urgency=low

  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675489).
    Thanks to Helmut Grohne for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 01 Jun 2012 18:20:46 +0200

python-docutils (0.8.1-6) unstable; urgency=low

  * Fix a typo in a patch description.
  * Bump standards version to 3.9.3 (no changes needed).
  * Don't mention “Dive Into Python” in python*-roman package descriptions
    (closes: #661555). Thanks to Konrad Schöbel for the bug report.
  * Remove references to http://diveintopython.org/ from debian/copyright.
  * Do not skip tests because of failed imports, as they should never happen.
    (no-test-skipping.diff)
  * Check only *.py files when looking for unguarded use of __file__.
  * Fix paths in the auto-generated manual pages.
  * Split section “Usage” into “Synopsis” and “Description” in the manual
    pages.
  * Fool DocutilsXMLTestCase into thinking that Python version is 2.7.3/3.2.3
    when it's in fact 2.7.2/3.2.2 with patched
    xml.dom.minidom.Document.toprettyxml() method (closes: #645369).
    (fix-docutilsxmltestcase.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 03 Mar 2012 01:40:35 +0100

python-docutils (0.8.1-5) unstable; urgency=low

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Jakub Wilk ]
  * Backport upstream patch to follow the changes in the
    xml.dom.minidom.Document.toprettyxml method
    (fix-docutilsxmltestcase.diff).
  * Drop postinst snippet to deal with a python-support bug (it cannot replace
    directory with a regular file). It was needed only for 0.7 upgrades.
  * Suggest fonts-linuxlibertine as an alternative to ttf-linux-libertine.
  * Update David Goodger's e-mail address in debian/copyright
    (closes: #653769). Thanks to Jari Aalto for the bug report.
  * Update Subversion repository URLs in patch headers (so that they point to
    SourceForge rather than BerliOS).
  * Use xargs to iterate over all Python versions.
  * Convert rst2odt_prepstyles manpage source from DocBook to
    reStructuredText.
    + Remove docbook-to-man from Build-Depends-Indep.
    + Update debian/rules.
  * Don't run dh_testroot in the clean target. There's a good chance that root
    privileges are not needed (e.g. because binary target was run under
    fakeroot), and even if they are actually needed, the target will fail
    quickly.
  * Drop obsolete virtual package: docutils-writer-manpage (closes: #631066).
  * Run tests with --verbose.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 15 Feb 2012 19:21:26 +0100

python-docutils (0.8.1-4ubuntu1) precise; urgency=low

  * Build using dh_python2
  * Diabled test_writers/test_docutils_xml.py tests, showing differences
    in whitespace with python 2.7.2+.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 14:11:08 +0000

python-docutils (0.8.1-4) unstable; urgency=low

  * When running the test suite, don't copy stdout and stderr output to a log
    file, as this would break under LC_ALL=C, PYTHONWARNINGS=d and python3.X
    (testall-no-stdout-stderr-redirect.diff).
  * Use build/py2 and build/py3 for build directories.
  * Remove excessive whitespace from debian/control.
  * Drop unused virtual package: rst2man.
  * Install Python 3 version of rst-buildhtml.
  * Fix a typo in rst2xetex manual page. Thanks to Günter Milde for the bug
    report.
  * Drop unused header file for rst2newlatex manual page.
  * Backport upstream patch to add missing import (add-missing-import.diff).
  * Backport upstream patches to fix encoding issues with Python 3
    (fix-*-encoding-issues.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 23 Oct 2011 22:59:02 +0200

python-docutils (0.8.1-3) unstable; urgency=low

  * Remove needless comments from debian/rules.
  * Restore historical behavior of languages.get_language() taking only a
    single argument (languages-get_language-2nd-arg-optional.diff,
    closes: #641562). Thanks to Sergio Talens-Oliag for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 16 Sep 2011 20:53:45 +0200

python-docutils (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Improve the -doc package:
    + Install CSS files. Correct paths to them in the *.html files.
    + Don't compress *.txt files in the -doc package. Update debian/*.doc-base
      accordingly and add lintian override for changelog-file-not-compressed.
    + Don't embed images on remote servers.
  * Simplify debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 12 Sep 2011 00:34:28 +0200

python-docutils (0.8.1-1) experimental; urgency=low

  * New upstream release.
    + Drop test-error-reporting.diff and test-functional.diff (both applied
      upstream)
  * Update copyright file.
  * Correct version number in README.txt (readme-version.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 03 Sep 2011 01:32:29 +0200

python-docutils (0.8-1) experimental; urgency=low

  * New upstream release.
    + Drop the following patches:
      - 16_disable_picins.diff (newlatex2e writer dropped);
      - buildhtml-local.diff (applied upstream);
      - emacs-shell-quote.diff (applied upstream);
      - emacs-temporary-files.diff (different fix applied upstream);
      - python3.2-configparser.diff (applied upstream);
      - python3.2-elementtree.diff (applied upstream);
    + Refresh other patches.
  * Update copyright file.
  * Use wildcards in debian/*.manpages.
  * Drop the docutils.readers.python reader.
  * Drop the rst2newlatex script.

