=== debian/control ===
Source: python-docutils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>,
           martin f. krafft <madduck@debian.org>,
           Michael Schutte <michi@uiae.at>,
           Ben Finney <ben+debian@benfinney.id.au>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-all (>= 2.6.6-3~),
                     python3-all (>= 3.1.2-7~),
                     xml-core
Standards-Version: 3.9.3
X-Python-Version: >= 2.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/
Homepage: http://docutils.sourceforge.net/

Package: python-docutils
Provides: docutils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-roman,
         docutils-common (= ${source:Version})
Recommends: python-imaging,
            python-pygments,
            libpaper-utils,
            python-lxml,            
            docutils-doc (= ${source:Version})
Suggests: texlive-latex-recommended, texlive-latex-base, texlive-lang-french, fonts-linuxlibertine | ttf-linux-libertine
Conflicts: python-odtwriter,
           docutils-writer-odt
Replaces: python-odtwriter,
          docutils-writer-odt
Breaks: python-epydoc (<< 3.0.1-4~)
Description: text processing system for reStructuredText (implemented in Python 2)
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-docutils
Provides: docutils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-roman,
         docutils-common (= ${source:Version})
Recommends: python3-imaging,
            python3-pygments,
            libpaper-utils,
            python3-lxml
Conflicts: python-docutils (<< 0.7-3~),
           python-odtwriter,
           docutils-writer-odt
Suggests: texlive-latex-recommended, texlive-latex-base, texlive-lang-french, fonts-linuxlibertine | ttf-linux-libertine, docutils-doc
Description: text processing system for reStructuredText (implemented in Python 3)
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes Python 3 modules and command line utilities.

Package: docutils-common
Architecture: all
Depends: ${misc:Depends}, 
Recommends: python-docutils | python3-docutils
Conflicts: python-docutils (<< 0.7-3~)
Breaks: python-odtwriter,
        docutils-writer-odt
Replaces: python-docutils (<< 0.7-3~),
          python-odtwriter,
          docutils-writer-odt
Description: text processing system for reStructuredText - common data
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes data and configuration files.

Package: docutils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: python-docutils (<< 0.7-3~)
Replaces: python-docutils (<< 0.7-3~)
Description: text processing system for reStructuredText - documentation
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes documentation in HTML and (gzipped) reST formats.

Package: python-roman
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: module for generating/analyzing Roman numerals for Python 2
 This module converts from and to Roman numerals. It can convert numbers
 from 1 to 4999 and understands the common shortcuts (IX == 9), but not
 illegal ones (MIM == 1999).
 .
 This package includes Python 2 modules.

Package: python3-roman
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: module for generating/analyzing Roman numerals for Python 3
 This module converts from and to Roman numerals. It can convert numbers
 from 1 to 4999 and understands the common shortcuts (IX == 9), but not
 illegal ones (MIM == 1999).
 .
 This package includes Python 3 modules.
