## python-docutils 0.10

=== debian/changelog ===
python-docutils (0.10-0ubuntu1) raring; urgency=low

  * New upstream stable release.
  * debian/patches/disable_py33_failing_tests.diff: add DEP-3 headers.
  * Merged 0.9.1-2 changes from Debian.
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 18 Dec 2012 15:06:21 +0400

python-docutils (0.9.1+svn7532-0ubuntu3) raring; urgency=low

  * Add debian/patches/disable_py33_failing_tests.diff: Disable the 5 tests
    which currently fail with Python 3.3, to fix FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 13:06:36 +0100

python-docutils (0.9.1+svn7532-0ubuntu2) raring; urgency=low

  * debian/tests/control: Drop undefined "no-build-needed" feature.
  * debian/tests: Update to tests as in 0.9.1-2 and drop obsolete dep8.diff,
    to get the tests running at all. (See Debian #692127).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 11:35:37 +0100

python-docutils (0.9.1+svn7532-0ubuntu1) raring; urgency=low

  * Resynchronize with Debian packaging SVN, remaining change:
    - Use dh_python2 instead of dh_pysupport.
  * New snapshot from upstream SVN, fixes build with Python 3.3.
  * Add XS-Testsuite header.
  * debian/patches/move-data-to-usr-share.diff: unfuzz.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 19 Oct 2012 18:23:15 +0400

python-docutils (0.9.1-2) experimental; urgency=low

  * Install all DTD files (really closes: #531170).
  * Fix DEP-8 tests:
    + Drop dep8.diff; it's no longer needed (closes: #692127). Thanks to
      Dmitry Shachnev for the bug report.
    + Adapt Python 3 tests to the new way 2->3 conversion is being done on
      upstream tests.
  * Partially fix FTBFS with Python 3.3 (closes: #681723):
    + Use relative __import__ (python3.3-import-compat.diff).
    + Make order of languages in \setotherlanguages deterministic
      (deterministic-setotherlanguages.diff).
  * Set PYTHONWARNINGS=d in debian/rules.
  * Set PYTHONHASHSEED=random in debian/rules and in DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 04 Nov 2012 17:22:24 +0100

python-docutils (0.9.1-1) experimental; urgency=low

  * New upstream release.
    + Fix self-modifying code in rst.el (closes: #657269). Thanks to Samuel
      Bronson for the bug report and the patch.
    + Drop parsers.rst.directives.misc-encoding.diff: applied upstream.
    + Refresh other patches.
    + Add patch to fix sys.path for tests (test-sys-path.diff).
    + Update debian/rules.
  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675489).
    Thanks to Helmut Grohne for the bug report.
  * DEP-8 tests: use $ADTTMP.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Jun 2012 14:15:26 +0200

python-docutils (0.9-1) experimental; urgency=low

  * New upstream release.
    + Drop 13_install_roman.diff and stop building python(3)-roman binary
      packages.
    + Drop 15_emacs_debian_paths.diff: different fix applied upstream.
    + Drop readme-version.diff: no longer relevant.
    + Drop languages-get_language-2nd-arg-optional.diff: applied upstream.
    + Drop add-missing-import.diff: applied upstream.
    + Drop fix-error-reporting-encoding-issues.diff: applied upstream.
    + Drop fix-io-encoding-issues.diff: applied upstream.
    + Drop fix-docutilsxmltestcase.diff: applied upstream.
    + Refresh other patches.
  * Drop fix-docutilsxmltestcase-debian.diff; it was only needed to
    work around a bug in Debian Python interpreter packages, which has been
    fixed.
  * Update move-data-to-usr-share.diff to cover the test/ directory, too.
  * Add DEP-8 tests.
  * Fix (Python 2 version of) rst-buildhtml shebang to #!/usr/bin/python.
  * Rename 10_doc_debian_paths.diff to doc-debian-paths.diff; update the patch
    header.
  * Stop building python(3)-roman. They are now packaged separately.
    + Update debian/control.
    + Drop debian/*-roman.* (debhelper config files).
    + Remove references to the ‘extras’ directory and to *-roman package names
      from debian/rules.
  * Remove convenience copy of the roman module. Build-Depend on python-roman
    and python3-roman.
  * Cherry-pick upstream patch to fix encoding issues with the include
    directive. (parsers.rst.directives.misc-encoding.diff)
  * Run Python 2.X tests before building Python 3.X code. Previously time
    required to build Python 3.X code were wasted if Python 2.X tests failed.
  * Run 2to3 in parallel (parallel-2to3.diff). Thanks to Julian Taylor for the
    hint.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 May 2012 01:17:10 +0200
