=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: python-all (>= 2.6.6-3~),
                      python3-all (>= 3.1.2-7~),
+                     python-roman, python3-roman,
                      xml-core
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.3
+XS-Testsuite: autopkgtest
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/
 Homepage: http://docutils.sourceforge.net/
@@ -111,23 +113,3 @@
  LaTeX, ODT or Unix manpages.
  .
  This package includes documentation in HTML and (gzipped) reST formats.
-
-Package: python-roman
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Description: module for generating/analyzing Roman numerals for Python 2
- This module converts from and to Roman numerals. It can convert numbers
- from 1 to 4999 and understands the common shortcuts (IX == 9), but not
- illegal ones (MIM == 1999).
- .
- This package includes Python 2 modules.
-
-Package: python3-roman
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Description: module for generating/analyzing Roman numerals for Python 3
- This module converts from and to Roman numerals. It can convert numbers
- from 1 to 4999 and understands the common shortcuts (IX == 9), but not
- illegal ones (MIM == 1999).
- .
- This package includes Python 3 modules.
