=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export PYTHONWARNINGS=d
+export PYTHONHASHSEED=random
 
 -include /usr/share/python/python.mk
 
@@ -20,12 +23,14 @@
 pre_strip_images2 = 's,<img alt="([^"]*)"[^>]*\bsrc="http://[^"]+"[^>]*>,$$1,g;'
 pre_strip_images = $(pre_strip_images1)$(pre_strip_images2)
 
-python_all = pyversions -r $(CURDIR)/debian/control | tr ' ' '\n' | xargs -t -I {} env {}
+python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}
 python3_all = $(patsubst py%,py3%,$(python_all))
 
 build build-indep: build-stamp
 build-stamp:
 	dh_testdir
+	# Remove convenience copy of the roman module
+	rm -f docutils/utils/roman.py
 	# Check if move-data-to-usr-share.diff is up-to-date
 	if grep -r __file__ --include='*.py' docutils/ | grep -vw _datadir; then \
 		echo "Error: Some uses of __file__ are not guarded by _datadir()." \
@@ -34,19 +39,21 @@
 	fi
 	# Build modules for Python 2.X
 	python setup.py build --build-lib=build/py2/
+ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
+	# Run test suite for Python 2.X:
+	$(python_all) test/alltests.py --verbose
+endif
 	# Build modules for Python 3.X
 	python3 setup.py build --build-lib=build/py3/
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	# Run test suite for Python 2.X:
-	cd build/py2/ && $(python_all) ../../test/alltests.py --verbose
+ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
 	# Run test suite for Python 3.X:
-	cd build/py3/ && $(python3_all) test/alltests.py --verbose
+	$(python3_all) test3/alltests.py --verbose
 endif
 	# Build documentation:
-	PYTHONPATH=.:extras python tools/buildhtml.py \
+	PYTHONPATH=. python tools/buildhtml.py \
 		--local --link-stylesheet --traceback \
 		.
-	PYTHONPATH=.:extras python tools/buildhtml.py \
+	PYTHONPATH=. python tools/buildhtml.py \
 		--link-stylesheet --traceback \
 		docs
 	( ls *.html && find docs/ -name '*.html' ) \
@@ -60,8 +67,9 @@
 	find -name '*.py[co]' -delete
 	rm -f *.html
 	find docs -name '*.html' -not -name 'quickref.html' -delete
-	rm -rf docutils.egg-info extras/docutils.egg-info
+	rm -rf docutils.egg-info
 	cd test && rm -rf alltests.out record.txt functional/output/*/ functional/output/[a-z]*.*
+	rm -rf test3/
 	dh_clean
 
 install: build
@@ -79,7 +87,7 @@
 	mkdir -p debian/tmp/usr/share/
 	cp -rlf debian/tmp/usr/lib/python2.*/*-packages/docutils debian/tmp/usr/share/
 	find debian/tmp/usr/lib/python[23]*/*-packages/docutils/ -type f '!' -name '*.py' -delete
-	find debian/tmp/usr/share/docutils/ -name '*.py' '!' -path '*/scripts/*' -delete
+	find debian/tmp/usr/share/docutils/ \( -name '*.py' -o -name '*.py[co]' \) '!' -path '*/scripts/*' -delete
 	find debian/tmp/ -type d -empty -delete
 	sed -i -e 's/^\(_debian_package\) = /\1 = 1/' debian/tmp/usr/lib/python[23]*/*-packages/docutils/__init__.py
 	# Give scripts canonical names
@@ -89,16 +97,14 @@
 		for exe in $(filter-out rst-buildhtml,$(scripts)); do \
 			mv $$dir/$$exe.py $$dir/$$exe; \
 		done; \
+		install tools/buildhtml.py $$dir/rst-buildhtml; \
+		sed -i -e "1 s,^#!.*,#!/usr/bin/$${python%2}," $$dir/rst-buildhtml; \
 	done
-	install tools/buildhtml.py debian/tmp/usr/share/docutils/scripts/python2/rst-buildhtml
-	sed -i -e '1 s,^#!.*,#!/usr/bin/python3,' build/py3/tools/buildhtml.py
-	install build/py3/tools/buildhtml.py debian/tmp/usr/share/docutils/scripts/python3/rst-buildhtml
 	: # Make the man pages (we want to do this *after* renaming all the
 	: # tools, because their executable name goes into the --help output)
 	mkdir -p debian/tmp/man/
 	set -ex && for exe in $(filter-out rst2odt_prepstyles,$(scripts)); do \
-		PYTHONPATH=.:extras; \
-		export PYTHONPATH; \
+		export PYTHONPATH=.; \
 		cp debian/$$exe.txt debian/tmp/man/$$exe.txt; \
 		python debian/tmp/usr/share/docutils/scripts/python2/$$exe --help | \
 			sed \
@@ -111,7 +117,7 @@
 		python tools/rst2man.py debian/tmp/man/$$exe.txt \
 			debian/tmp/man/$$exe.1; \
 	done
-	PYTHONPATH=.:extras python tools/rst2man.py debian/rst2odt_prepstyles.txt \
+	PYTHONPATH=. python tools/rst2man.py debian/rst2odt_prepstyles.txt \
 		debian/tmp/man/rst2odt_prepstyles.1
 	sed -i -e 's,"\(docutils/writers/\),"/usr/share/\1,g' debian/tmp/man/*
 
@@ -125,8 +131,8 @@
 	dh_install -p docutils-common -X /scripts/
 	dh_install -N docutils-common
 	dh_lintian
-	dh_python2 -p python-docutils -p python-roman
-	dh_python3 -p python3-docutils -p python3-roman
+	dh_python2 -p python-docutils
+	dh_python3 -p python3-docutils
 	dh_installexamples
 	dh_installcatalogs
 	dh_installxmlcatalogs
